## org.apache.myfaces.custom.tree2
Class ToggleExpandedEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.apache.myfaces.custom.tree2.ToggleExpandedEvent

All Implemented Interfaces:
  java.io.Serializable

public class ToggleExpandedEvent
extends javax.faces.event.FacesEvent

Author:
  Mathias Broekelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ToggleExpandedEvent(javax.faces.component.UIComponent uiComponent, java.lang.String nodeId)`

Method Summary
`java.lang.String` `getNodeId()`
`boolean` `isAppropriateListener(javax.faces.event.FacesListener faceslistener)`
`void` `processListener(javax.faces.event.FacesListener faceslistener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToggleExpandedEvent

    public ToggleExpandedEvent(javax.faces.component.UIComponent uiComponent,
                               java.lang.String nodeId)

Parameters:
  `uiComponent` -
  `nodeId` -

Method Detail

### getNodeId

    public java.lang.String getNodeId()

  Returns:
    Returns the nodeId.

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener faceslistener)

  See Also:
    `FacesEvent.isAppropriateListener(javax.faces.event.FacesListener)`

### processListener

    public void processListener(javax.faces.event.FacesListener faceslistener)

  See Also:
    `FacesEvent.processListener(javax.faces.event.FacesListener)`